<mat-form-field>
  <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>

<mat-card>

    <button mat-raised-button color="primary" class="aligningright" (click)="openTaskForm()">Add Tasks</button>

  <div class="mat-elevation-z8">
    <h1>All Records</h1>
    <table mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8" matSort matSortActive="Creator"
           matSortDisableClear matSortDirection="desc" class="mat-elevation-z8">
      <!-- Position Column -->
      <ng-container matColumnDef="text">
        <th mat-header-cell *matHeaderCellDef>Text </th>
        <td mat-cell *matCellDef="let element"> {{element.text }} </td>
      </ng-container>
      <ng-container matColumnDef="creator">
        <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear>Creator</th>
        <td mat-cell *matCellDef="let element"> {{element.creator}} </td>
      </ng-container>
      <ng-container matColumnDef="isGlobal">
        <th mat-header-cell *matHeaderCellDef> Global</th>
        <td mat-cell
            *matCellDef="let element"> {{element.isGlobal}}
        </td>
      </ng-container>
      <ng-container matColumnDef="isLeader">
        <th mat-header-cell *matHeaderCellDef> Leader</th>
        <td mat-cell
            *matCellDef="let element; let i = index"> {{element.isLeader}}
        </td>
      </ng-container>
      <ng-container matColumnDef="isCompleted">
        <th mat-header-cell *matHeaderCellDef> Completed</th>
        <td mat-cell
            *matCellDef="let element; let i = index"> {{element.isCompleted}}
          <mat-checkbox [checked]="element.isCompleted" (click)="$event.stopPropagation()" (change)=" element.isCompleted = ! element.isCompleted; changeeverywhereforleader(element, i)"></mat-checkbox>
        </td>
      </ng-container>
      <ng-container matColumnDef="start">
        <th mat-header-cell *matHeaderCellDef> Start Date</th>
        <td mat-cell
            *matCellDef="let element"> {{element.start}} </td>
      </ng-container>
      <ng-container matColumnDef="end">
        <th mat-header-cell *matHeaderCellDef > End Date</th>
        <td mat-cell
            *matCellDef="let element"> {{element.end}} </td>
      </ng-container>
      <ng-container matColumnDef="score">
        <th mat-header-cell *matHeaderCellDef> Leader</th>
        <td mat-cell
            *matCellDef="let element"> {{element.isLeader}} </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>

</mat-card>
